import API from "./API";

export default {
    registerAccount(data: object) {
        return API().post("/mail/account", data);
    },
    getAccounts() {
        return API().get("/mail/accounts");
    },
    getRooms(mailboxId: number) {
        return API().get(`/mail/${mailboxId}/rooms`);
    },
    getMessages(roomId: number) {
        return API().get(`/mail/${roomId}/messages`);
    },
    getMembers(roomId: number) {
        return API().get(`/mail/${roomId}/members`);
    },
    addFlag(data: { mailboxId: number; messageId: number; flag: string }) {
        return API().post(`/mail/addFlag`, data);
    },
    removeFlag(data: { mailboxId: number; messageId: number; flag: string }) {
        return API().post(`/mail/removeFlag`, data);
    },
};
